mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.InteropServices.ComVisible(true) To be added

Provides static methods to aid with the implementation of a for serialization. This class cannot be inherited.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  Use this method to determine whether a specified type can be deserialized when the property is set to Low.

  .NET Framework remoting provides two levels of automatic deserialization, and . helps protect against deserialization attacks by deserializing only the types associated with the most basic remoting functionality. The deserialization level supports automatic deserialization of all types that remoting supports in all situations. For more information about the.NET Framework remoting types that and support, see [<topic://cpconAutomaticDeserializationInNETRemoting>].

  Determines whether the specified can be deserialized with the property set to Low.

  The to check for the ability to deserialize. The property value.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object[] `` ``

  For each supplied member of the array the method extracts the value associated with the object, and returns it. The length of the returned array is the same as the length of the array.

  Extracts the data from the specified object and returns it as an array of objects.

  An array of that contains data stored in and associated with .

  The object to write to the formatter. The members to extract from the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  Because the new instance of the object is initialized to zero and no constructors are run, the object might not represent a state that is regarded as valid by that object. should only be used for deserialization when the user intends to immediately populate all fields. It does not create an uninitialized string, since creating an empty instance of an immutable type serves no purpose.

  converts all class level [<topic://cpconLinkDemands>] to [<topic://cpconDemands>] to ensure that all direct and indirect callers have the permissions that the demand specifies. Use to increase the level of security when deserializing from a partially trusted source. For better performance in full trust scenarios, use .

  Creates a new instance of the specified object type.

  A zeroed object of the specified type.

  The type of object to create.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] ``

  Generally, the serializable members of a class are the non-transient, non-static members such as fields and properties. To be included, properties must have both a getter and a setter. A class that implements the interface or has a serialization surrogate does not have to serialize all these members, or can serialize additional members.

  Gets all the serializable members for a class of the specified .

  An array of type of the non-transient, non-static members.

  The type being serialized.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MemberInfo[] `` ``

  Generally, the serializable members of a class are the non-transient, non-static members such as fields and properties. To be included, properties must have both a getter and a setter. A class that implements or has a serialization surrogate does not have to serialize all these members, or can serialize additional members.

  Currently, you do not need to do anything different unless has the value set.

  Gets all the serializable members for a class of the specified and in the provided .

  An array of type of the non-transient, non-static members.

  The type being serialized or cloned. The context where the serialization occurs.
- Method
  4.0.0.0
  System.Runtime.InteropServices.ComVisible(false)
  System.Runtime.Serialization.ISerializationSurrogate `` To be added.

  Returns a serialization surrogate for the specified .

  An for the specified .

  The specified surrogate.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type `` `` To be added

  Looks up the of the specified object in the provided .

  The of the named object.

  The assembly where you want to look up the object. The name of the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object ``

  Because the new instance of the object is initialized to zero and no constructors are run, the object might not represent a state that is regarded as valid by that object. The current method should only be used for deserialization when the user intends to immediately populate all fields. It does not create an uninitialized string, since creating an empty instance of an immutable type serves no purpose.

  You cannot use the method to create instances of types that derive from the class.

  Creates a new instance of the specified object type.

  A zeroed object of the specified type.

  The type of object to create.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  If an element in is null, does not write anything to that field.

  Populates the specified object with values for each field drawn from the data array of objects.

  The newly populated object.

  The object to populate. An array of that describes which fields and properties to populate. An array of that specifies the values for each field and property to populate.